Extract JSON from text
curl --request POST \
--url https://{deployment}/api/v1/json/extract \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"text": "Sure! Here is the data: {\"name\": \"manju\", \"count\": 3} — hope that helps."
}
'import requests
url = "https://{deployment}/api/v1/json/extract"
payload = { "text": "Sure! Here is the data: {\"name\": \"manju\", \"count\": 3} — hope that helps." }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Sure! Here is the data: {"name": "manju", "count": 3} — hope that helps.'
})
};
fetch('https://{deployment}/api/v1/json/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"json": "{\"name\":\"manju\",\"count\":3}",
"parsed_json": {
"name": "manju",
"count": 3
},
"is_array": false
}{
"status": "error",
"error": "<string>"
}JSON
Extract JSON from text
Extracts and parses the first JSON object or array embedded in arbitrary text. Pro license required.
POST
/
json
/
extract
Extract JSON from text
Authorizations
Your deployment's API key (MMK_API_KEY). Routes that accept OAuth2 also allow Authorization: Bearer <token>.
Body
application/json
Text that contains an embedded JSON object or array.
Was this page helpful?
⌘I

